Create customer
POST /api/auth/razorpay/customer/create
Creates a new Razorpay customer.
Server API name: createCustomerClient method:
authClient.razorpay.customer.create(...)
Errors:
UNABLE_TO_CREATE_CUSTOMER.Edit customer
POST /api/auth/razorpay/customer/edit
Updates an existing Razorpay customer.
Server API name: editCustomerClient method:
authClient.razorpay.customer.edit(...)
Errors:
CUSTOMER_EDIT_FAILED.List customers
GET /api/auth/razorpay/customer/list
Lists Razorpay customers with pagination.
Server API name: listCustomersClient method:
authClient.razorpay.customer.list({ query: { ... } })
Get customer
GET /api/auth/razorpay/customer/get
Retrieves a single Razorpay customer by id.
Server API name: fetchCustomerClient method:
authClient.razorpay.customer.get({ query: { customerId } })
Errors:
CUSTOMER_NOT_FOUND.Add bank account
POST /api/auth/razorpay/customer/bank-account
Adds a bank account to an existing Razorpay customer.
Server API name: addBankAccountClient method:
authClient.razorpay.customer.bankAccount.create(...)
Errors:
BANK_ACCOUNT_ADD_FAILED.Delete bank account
POST /api/auth/razorpay/customer/bank-account/delete
Deletes a bank account from a Razorpay customer.
Server API name: deleteBankAccountClient method:
authClient.razorpay.customer.bankAccount.delete(...)
Errors:
BANK_ACCOUNT_DELETE_FAILED.Fetch tokens
GET /api/auth/razorpay/customer/tokens
Lists saved tokens for a Razorpay customer.
Server API name: fetchTokensClient method:
authClient.razorpay.customer.tokens({ query: { customerId } })
Errors:
TOKEN_FETCH_FAILED.Fetch token
GET /api/auth/razorpay/customer/token
Retrieves a single saved token for a Razorpay customer.
Server API name: fetchTokenClient method:
authClient.razorpay.customer.token({ query: { customerId, tokenId } })
Delete token
POST /api/auth/razorpay/customer/token/delete
Deletes a saved token for a Razorpay customer.
Server API name: deleteTokenClient method:
authClient.razorpay.customer.token.delete(...)
Errors:
TOKEN_DELETE_FAILED.